Tech Study

JavaとかアジャイルとかRubyとか

Arquillianの実行ミスりまくってたら、原因はバージョンだった。

   

最近JavaEEやっているので、当然テストの問題にもぶつかっています。

JavaEEコンテナ使ってテストする仕組みとしてArquiilianがあるんですが、「・・・getResponseMap」みたいな例外がでて全然うまくいかない。ちゃんと書いているはずなのに。。。

と思っていたら、Arquiliianのバージョンあげたら直った。時間無駄にした〜
このブログに辿り着いた方を助けるために。「

		<dependency>
			<groupId>org.jboss.arquillian.container</groupId>
			<artifactId>arquillian-glassfish-remote-3.1</artifactId>
			<version>1.0.0.CR3</version>
			<scope>test</scope>
		</dependency>

ではなくて、

		<dependency>
			<groupId>org.jboss.arquillian.container</groupId>
			<artifactId>arquillian-glassfish-remote-3.1</artifactId>
			<version>1.0.0.CR4</version>
			<scope>test</scope>
		</dependency>

にします。

 - Java

Comment